MrSID Decode SDK for Raster Reference Manual 9.5.4.4709

- Main Page
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
LTIGeomPoint< T > Class Template Reference

`#include <lti_geometry.h>`

## Public Member Functions
| LTIGeomPoint (T inX=0, T inY=0)
| LTIGeomPoint (const LTIGeomPoint< T > &copy)
LTIGeomPoint< T > & | operator= (const LTIGeomPoint< T > &copy)
template<class T2 >
LTIGeomPoint< T > & | operator+= (const LTIGeomPoint< T2 > &offset)
template<class T2 >
LTIGeomPoint< T > & | operator-= (const LTIGeomPoint< T2 > &offset)
bool | operator== (const LTIGeomPoint< T > &other) const
bool | operator!= (const LTIGeomPoint< T > &other) const
bool | equal (const LTIGeomPoint< T > &other, T eps) const

## Public Attributes
T | x
T | y

## Detailed Description

### template<class T>
class LTIGeomPoint< T >

Definition at line 22 of file lti_geometry.h.

## Constructor & Destructor Documentation

template<class T >

LTIGeomPoint< T >::LTIGeomPoint | ( | T | inX = `0`,
|  | T | inY = `0`
| ) |  |
| inline

Definition at line 25 of file lti_geometry.h.

template<class T >

LTIGeomPoint< T >::LTIGeomPoint | ( | const LTIGeomPoint< T > & | copy) |  |
| inline

Definition at line 34 of file lti_geometry.h.

## Member Function Documentation

template<class T >

bool LTIGeomPoint< T >::equal | ( | const LTIGeomPoint< T > & | other,
|  | T | eps
| ) |  | const
| inline

Definition at line 90 of file lti_geometry.h.

template<class T >

bool LTIGeomPoint< T >::operator!= | ( | const LTIGeomPoint< T > & | other) |  | const
| inline

Definition at line 85 of file lti_geometry.h.

template<class T >
template<class T2 >

LTIGeomPoint<T>& LTIGeomPoint< T >::operator+= | ( | const LTIGeomPoint< T2 > & | offset) |  |
| inline

Definition at line 56 of file lti_geometry.h.

template<class T >
template<class T2 >

LTIGeomPoint<T>& LTIGeomPoint< T >::operator-= | ( | const LTIGeomPoint< T2 > & | offset) |  |
| inline

Definition at line 67 of file lti_geometry.h.

template<class T >

LTIGeomPoint<T>& LTIGeomPoint< T >::operator= | ( | const LTIGeomPoint< T > & | copy) |  |
| inline

Definition at line 44 of file lti_geometry.h.

template<class T >

bool LTIGeomPoint< T >::operator== | ( | const LTIGeomPoint< T > & | other) |  | const
| inline

Definition at line 77 of file lti_geometry.h.

## Member Data Documentation

template<class T >

T LTIGeomPoint< T >::x

Definition at line 100 of file lti_geometry.h.

template<class T >

T LTIGeomPoint< T >::y

Definition at line 101 of file lti_geometry.h.

The documentation for this class was generated from the following file:

- lti_geometry.h

LizardTech